#!/bin/bash
for RegionId in `aliyuncli ecs DescribeRegions --filter Regions.Region[*].RegionId --output  json | sed '1d' | sed '$d' | sed 's/,//g' |  sed 's/"//g'| sed 's/ //g'` 
do
	cat /dev/null >/tmp/UnUsedSecurityGroupIds.txt
	pageNum=1
	tcount=`aliyuncli ecs DescribeSecurityGroups --RegionId $RegionId --output json --filter TotalCount`
	while ((tcount>0))
	do
        	aliyuncli ecs DescribeSecurityGroups --RegionId $RegionId --filter SecurityGroups.SecurityGroup[*].SecurityGroupId  --PageSize 100 --PageNumber $pageNum --output json  | sed '1d' | sed '$d' | sed 's/,//g' |  sed 's/"//g'| sed 's/ //g'>>/tmp/UnUsedSecurityGroupIds.txt
        	let pageNum++
        	let tcount-=100
	done

	cat /tmp/UnUsedSecurityGroupIds.txt  | while read line
	do
        	usedVMCount=`aliyuncli ecs DescribeInstances --RegionId $RegionId --SecurityGroupId $line --output json --filter TotalCount`
        	if [[ $usedVMCount -eq 0 ]];then
        		echo $RegionId "  " $line
        fi
	done
done
